Bug 445963 - System-config-network crashes on startup on one machine, but others I have work fine
System-config-network crashes on startup on one machine, but others I have wo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-10 12:47 EDT by Gilbert Sebenste
Modified: 2009-01-09 01:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:29:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gilbert Sebenste 2008-05-10 12:47:02 EDT
Description of problem: system-config-network will crash upon startup on one of 
my 4 Fedora 8 machines. S-C-N works nominally on the other 3 machines.


Version-Release number of selected component (if applicable): 1.5.5-1.fc8


How reproducible: always


Steps to Reproduce:
1. Type in "system-config-network" sans quotes at command prompt in X
windows or in a terminal window
2.attempts to start, but then...
3. crashes with the following error message.
  
Actual results: S-C-N barfs with this message:

Error in sys.excepthook:                                                       
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 120, in <lambda>
    PRG_NAME, PRG_VERSION)
  File "/usr/share/system-config-network/netconfpkg/exception.py", line 332, in 
handleException
    import gtk
  File "/usr/lib/python2.5/site-packages/gtk-2.0/gtk/__init__.py", line 79, in 
<module>
    _init()
  File "/usr/lib/python2.5/site-packages/gtk-2.0/gtk/__init__.py", line 67, in 
_init
    _gtk.init_check()
RuntimeError: could not open display

Original exception was:
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 281, in <module>
    loadConfig(screen)
  File "/usr/sbin/system-config-network-tui", line 137, in loadConfig
    hardwarelist = getHardwareList()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 
759, in getHardwareList
    __HWList.load()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 
603, in load
    self.updateFromSystem()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 
483, in updateFromSystem
    self.updateFromHal(hdellist)
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 
447, in updateFromHal
    hal = NCBackendHal.NCBackendHal()
  File "/usr/share/system-config-network/netconfpkg/NCBackendHal.py", line 31, 
in __init__
    self.halManagerObj = self._dbusBus.get_object
("org.freedesktop.Hal", "/org/freedesktop/Hal/Manager")
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 240, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 236, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 179, in 
activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 277, in 
start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 603, in 
call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The 
name org.freedesktop.Hal was not provided by any .service files


Expected results: For it to start normally.


Additional info: None. First time I've ever seen this happen.
Comment 1 Harald Hoyer 2008-05-13 04:43:45 EDT
seems like haldaemon is not started on your system

what is the output of:
# service haldaemon status
Comment 2 Gilbert Sebenste 2008-05-13 10:26:01 EDT
Hello Harald,

Nope, the HAL daemon is not turned on; I didn't realize this required it.
OK, so, can we do two things:

1. Close this ticket
2. Have a friendlier message than this?

Thank you!

Gilbert
Comment 3 Yanko Kaneti 2008-05-31 09:48:38 EDT
Still the case on Fedora 9. Should be noted that minimal install

%packages --nobase
yum

produces a system with s-c-n but without hal
Comment 4 Paul Tiseo 2008-06-24 21:47:17 EDT
Found this bug while filing a comment on
https://bugzilla.redhat.com/show_bug.cgi?id=450510.

I am experiencing the error in 450510. It is somewhat similar to the exception
filed in this one, except I am in F9.

HAL Daemon was not running. Firing it up, still didn't allow SCN to start.
Comment 5 Bug Zapper 2008-11-26 05:40:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 01:29:32 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.